Bug 90756 - Impress incorrectly caches linked images on active slide linux+windows
Summary: Impress incorrectly caches linked images on active slide linux+windows
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Files-Linked
  Show dependency treegraph
 
Reported: 2015-04-20 23:15 UTC by jebsolutions
Modified: 2021-03-29 03:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
slide show, two test images, and script to demonstrate link problem (178.44 KB, application/x-zip-compressed)
2015-04-20 23:15 UTC, jebsolutions
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jebsolutions 2015-04-20 23:15:36 UTC
Created attachment 114969 [details]
slide show, two test images, and script to demonstrate link problem

Linked images in the currently selected slide are not updated if you hit f5 to start the presentation.  This is 100% repeatable for me on LibreOffice Impress 4.4.2.2 on Windows and Linux.

I have created a 3-slide presentation to demonstrate the problem (test.odp):  
slide 1 = blank
slide 2 = linked to test.png ( a 1920x1080 png file)
slide 3 says "last"
presentation is set to advance to next slide every 2 seconds (will loop indefinitely)

In the background I have a script that constantly replaces test.png with one of two images every few seconds.  On linux I am doing this with a file system link.  Bottom line...this image will change every few seconds so the slide show should reflect this change whenever it gets to slide 2 and this linked image.

Test #1 - works correctly
If I select slide 1 (blank slide) and run the presentation (f5) then slide 2 will update the linked image if test.png is updated.  This is correct behavior.

Test #2 - Fails
If I select slide 2 (contains the linked test.png) and run the presentation (f5) then slide 2 will never update the linked image.  This is incorrect.  My guess is that it is somehow incorrectly caching the image (or treating it as non-linked) in this case?

Test 3 - (repeat of test #1)...works correctly
If I select slide 1 (blank slide) and hit f5 and run the presentation it works again.  The linked image will be updated if changed.  

Test #3's success means that the image has not become non-linked  permanently, it just acts this way if the slide show is started from the linked slide.

I did the same test on Windows (using a batch file to copy vs link the file) and the same problem occurs.


attached files test.zip:
test.odp - 3 slide slideshow slideshow
one.png - test image
two.png - test image
test2.sh - script that links test.png to either one.png and two.png for testing

note: test.odp links to test.png so you must run the test2.sh script first to generate the expected image.
Comment 1 Buovjaga 2015-04-25 12:18:07 UTC
Reproduced.

Ubuntu 15.04 64-bit 
Version: 4.4.2.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 2 QA Administrators 2016-09-20 09:32:15 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2021-03-29 03:39:05 UTC
Dear jebsolutions,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug